#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: control-monad-free
version: 0.6.2
id: control-monad-free-0.6.2-K5OsWkYY4J3IMyPprITsgT
key: control-monad-free-0.6.2-K5OsWkYY4J3IMyPprITsgT
license: LicenseRef-PublicDomain
maintainer: pepeiborra@gmail.com
author: Luke Palmer, Pepe Iborra
stability: stable
homepage: http://github.com/pepeiborra/control-monad-free
synopsis: Free monads and monad transformers
description:
    This package provides datatypes to construct Free monads,
    Free monad transformers, and useful instances. In addition it
    provides the constructs to avoid quadratic complexity of left
    associative bind, as explained in:
    .
    * Janis Voigtlander, /Asymptotic Improvement of Computations over Free Monads, MPC'\''08/
category: Control, Monads
abi: c16dc12a4dd764cd1c4d91419831532a
exposed: True
exposed-modules:
    Control.Monad.Free Control.Monad.Free.Improve
    Control.Monad.Free.Zip
import-dirs: /usr/lib/ghc-8.6.3/site-local/control-monad-free-0.6.2
library-dirs: /usr/lib/ghc-8.6.3/site-local/control-monad-free-0.6.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.6.3/control-monad-free-0.6.2
hs-libraries: HScontrol-monad-free-0.6.2-K5OsWkYY4J3IMyPprITsgT
depends:
    base-4.12.0.0 transformers-0.5.5.0
haddock-interfaces: /usr/share/doc/haskell-control-monad-free/html/control-monad-free.haddock
haddock-html: /usr/share/doc/haskell-control-monad-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

